LongSumReducer (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.lib.reduce
Class LongSumReducer<KEY>

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<KEY,LongWritable,KEY,LongWritable>
          org.apache.hadoop.mapreduce.lib.reduce.LongSumReducer<KEY>

    public class LongSumReducer<KEY>

extends Reducer<KEY,LongWritable,KEY,LongWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`Reducer.Context`

Constructor Summary
`LongSumReducer()`

Method Summary
`void` | `reduce(KEY key, Iterable<LongWritable> values, Reducer.Context context)` This method is called once for each key.

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongSumReducer

    public LongSumReducer()

Method Detail

### reduce

    public void reduce(KEY key,
                       Iterable<LongWritable> values,
                       Reducer.Context context)
                throws IOException,
                       InterruptedException

  Description copied from class: `Reducer`
  This method is called once for each key. Most applications will define their reduce class by overriding this method. The default implementation is an identity function.

  Overrides:
    `reduce` in class `Reducer<KEY,LongWritable,KEY,LongWritable>`
  Throws:
    `IOException`
    `InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation